package hu.uniobuda.fragmentdemoproject;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

/**
 * Created by Rendszergazda on 2013.06.26..
 */
public class MyDetailsFragment extends Fragment {
    private View view;
    private TextView detailsTitle;
    private TextView detailsBody;

    public static MyDetailsFragment newInstance(int index, String title, String body){
        MyDetailsFragment mdf = new MyDetailsFragment();
        Bundle b = new Bundle();
               b.putInt("index", index);
               b.putString("title", title);
               b.putString("body", body);
        mdf.setArguments(b);
        return mdf;
    }

    public int getCurrentIndex(){
        return getArguments().getInt("index", 0);
    }

    public String getCurrentTitle(){
        return getArguments().getString("title", null);
    }

    public String getCurrentBody(){
        return getArguments().getString("body", null);
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        if(container == null) return null;

        view = inflater.inflate(R.layout.mydetailsfragment, container, false);

        detailsTitle = (TextView) view.findViewById(R.id.details_title);
        detailsTitle.setText(getCurrentTitle());
        detailsBody = (TextView) view.findViewById(R.id.details_text);
        detailsBody.setText(getCurrentBody());

        return view;
    }

}
