package hu.uniobuda.fragmentdemoproject;

import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentTransaction;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ListView;

import java.util.Arrays;
import java.util.List;

/**
 * Created by Rendszergazda on 2013.06.26..
 */
public class MyListFragment extends Fragment implements AdapterView.OnItemClickListener {

    private ListView view;
    private MyListAdapter adapter;
    private List<News> news = Arrays.asList(new News[]{
            new News("Cím 1", "Hosszú szöveg, dfkjdroigroehgoreiihgri fg fgfdng"),
            new News("Cím 2", "Hosszú szöveg, dfkjdroigroehgoreiihgri fg fgfdng")
    });

    private boolean dualPane = false;
    private int currentPosition = 0;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {

        view = (ListView)inflater.inflate(R.layout.mylistfragment, container, false);

        return view;
    }

    @Override
    public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);
        adapter = new MyListAdapter(news);
        view.setAdapter(adapter);
        view.setOnItemClickListener(this);

        if(savedInstanceState != null){
            currentPosition = savedInstanceState.getInt("current_pos", 0);
        }

        dualPane = ((MainActivity)getActivity()).isDualPane();

        if(dualPane){
            view.setChoiceMode(ListView.CHOICE_MODE_SINGLE);
            loadDetails(currentPosition);
        }
    }


    @Override
    public void onSaveInstanceState(Bundle outState) {
        super.onSaveInstanceState(outState);
        outState.putInt("current_pos", currentPosition);
    }

    @Override
    public void onItemClick(AdapterView<?> adapterView, View view, int i, long l) {
        loadDetails(i);
    }


    public void loadDetails(int i){
        currentPosition = i;

        if(dualPane){
            view.setItemChecked(i, true);

            MyDetailsFragment currentDetailsFragment = (MyDetailsFragment) getFragmentManager().findFragmentById(R.id.details);
            if(currentDetailsFragment == null || currentDetailsFragment.getCurrentIndex() != i){
                // Uj fragment
                currentDetailsFragment = MyDetailsFragment.newInstance(i, news.get(i).getTitle(), news.get(i).getBody());

                // Fragment betötés
                FragmentTransaction ft = getFragmentManager().beginTransaction();
                ft.setTransition(FragmentTransaction.TRANSIT_FRAGMENT_FADE);
                ft.replace(R.id.details, currentDetailsFragment);
                ft.commit();
            }

        }else{
            // Start Activity
            Intent  intent = new Intent(getActivity(), DetailsActivity.class);
                    intent.putExtra("index", i);
                    intent.putExtra("title", news.get(i).getTitle());
                    intent.putExtra("body", news.get(i).getBody());
            startActivity(intent);
        }
    }

}
